> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 延长

> task=extend — 从已有片段继续

从已有片段往后写。来源是 `clip_id`，不是文件地址。公开文件用 [上传后延长](/zh/api-reference/suno/generateUploadExtend)。

`POST /suno/v2/generate` 返回 `{ "taskId" }`。轮询 [查询任务状态](/zh/api-reference/suno/task)。Schema：`GET /suno/v2/generate/schema?task=extend`。

## 参数

| 字段 | 必填 | 说明 |
| - | - | - |
| `task` | 是 | `"extend"` |
| `model` | 是 | 建议 `chirp-v6` |
| `clip_id` | 是 | 要接着写的片段 |
| `continue_at` | 否 | 从第几秒开始延长。不传由服务端决定 |
| `prompt` | 否 | 新段落的歌词 |
| `persona` | 否 | 延长可以使用 |

其他可选字段：[共用列表](/zh/api-reference/suno/generate-tasks#shared-optional-fields)。

## 示例

```json theme={null}
{
  "task": "extend",
  "model": "chirp-v6",
  "title": "Summer Vibes (Extended)",
  "tags": "Pop, Happy, Upbeat",
  "clip_id": "b6aa42d8-8ee6-40de-8953-8be4fc5d3406",
  "continue_at": 30,
  "prompt": "[Verse 2]\nContinue the journey..."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.